### Method

# WebKit NavigationPolicyDecision get_navigation_type

deprecated: 2.6

#### Declaration [src]

    WebKitNavigationType
    webkit_navigation_policy_decision_get_navigation_type (
      WebKitNavigationPolicyDecision* decision
    )

#### Description [src]

Gets the value of the `WebKitNavigationPolicyDecision:navigation-type` property.

Deprecated since: 2.6

Use `webkit_navigation_policy_decision_get_navigation_action()` instead.

Gets property | `WebKit.NavigationPolicyDecision:navigation-type`

#### Return value

Type: `WebKitNavigationType`

The type of navigation triggering this policy decision.